PUT
/cms/categories/{bucketId} https://apis-spb.konso.io/cms/categories/{bucketId} Update category
Параметры запроса
id number The unique identifier of the category to update
name string The name of the category
slug string The URL-friendly identifier for the category
section number The section the category belongs to 1-pages, 2-contents
imageUrl string The URL of the category image
Ответы
200 Category updated successfully
тип: GenericResultResponse<boolean>
Язык:
expand_more
Пример запроса
curl --request PUT \
--url https://apis-spb.konso.io/cms/categories/{bucketId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: {your-api-key}' \
--data '{
"id": 123456,
"name": "Updated Category",
"slug": "updated-category",
"section": 1,
"imageUrl": "https://example.com/updated-image.jpg"
}' Response Example 200
{
"result": true
} KONSO